### Signal

# Soup ServerMessage::got-chunk

#### Declaration

    void
    got_chunk (
      SoupServerMessage* self,
      GBytes* chunk,
      gpointer user_data
    )

#### Description [src]

Emitted after receiving a chunk of a message body.

Note that “chunk” in this context means any subpiece of the body, not necessarily the specific HTTP 1.1 chunks sent by the other side.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`chunk`

  Type: `GBytes`

  The just-read chunk.

  The data is owned by the caller of the function.